#ifndef ERROR_H
#define ERROR_H

enum STATUS {
    E_NOTIMPL = -3,
    E_INVALID_MP3 = -2,
    E_FAIL = -1,
    S_OK = 0,
    S_FALSE = 1
};
inline bool FAILED(STATUS st) { return ((int)st) < 0; }
inline bool SUCCEEDED(STATUS st) { return ((int)st) == 0; }

#include <errno.h>
inline STATUS MakeErrnoStatus(int e = errno) { return E_FAIL; }

#endif /* ERROR_H */
